#!/usr/bin/env js
// readline() from:
// https://stackoverflow.com/questions/4508897/console-input-function-for-rhino

// 次のreadline()関数を、入力を使いたいプログラムに書いておく。
function readline() {
    var ist = new java.io.InputStreamReader(java.lang.System.in);
    var bre = new java.io.BufferedReader(ist);
    var line = bre.readLine();
    return line;
}
// 定義例ここまで。以下使用例。

let number = [];

while (true) {
    print("数値を入力してください(C-dで終了): ");
    let str=readline();
    if (!str)break;

    let num = parseFloat(str);
    number.push(num);
}

let json = JSON.stringify(number);
print("入力された数値の配列:");
print(json);
